%global modname marshmallow_enum
%global pypi_name marshmallow-enum
%global _docdir_fmt %{name}

Name:           python-%{pypi_name}
Version:        1.5.1
Release:    4%{?dist}
Summary:        Enum serializer/deserializer for use with Marshmallow

License:        MIT
URL:            https://github.com/justanr/marshmallow_enum
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
A Python enum serializer/deserializer for use with Marshmallow.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  python3-pytest
BuildRequires:  python3-marshmallow

%description -n python3-%{pypi_name}
A Python enum serializer/deserializer for use with Marshmallow.

%prep
%autosetup -n %{modname}-%{version}
rm -vf tox.ini

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}/%{python3_sitelib} py.test-%{python3_version} -v

%files -n python3-%{pypi_name}
%doc README.md CHANGELOG
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-*.egg-info/

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.1-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.1-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.1-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-1
- initial build
